Validate a invoice

post
https://api.wafeq.com/v1/zatca/prepayment-invoices/validate/

Validates a single invoice without reporting.

Body Params

The payload to report a standard prepayment invoice to ZATCA and optionally send it to its recipients.

channelsarray of objectslength ≤ 1

The channels to send the document

documentobjectrequired

The document data

stringenumDefaults to en

The language of the document

View the enum reference

Allowed:
metadataobject

The metadata of the document. Keys cannot contain . or start with $.

string

The reference of the document

templateobject

The template of the document

Headers
string

If the account is under a Group VAT, then it is required to be the TIN of the instance under the Group VAT. Otherwise it is optional and can be used as a branch name

string

The unique identifier of the connected account you're operating on behalf of.

Connected accounts should be used only for Platforms and White Label integrations that onboard customers and report documents on their behalf. Omit the X-ZATCA-Connected-Account-Id header when registering devices or reporting documents for your own organization. See the Platforms and White Label guide.

stringrequired

The zatca environment to use, available options are ['production', 'simulation']

Response